<?
error_reporting(E_ALL^E_NOTICE);
$cena=500;
if(isset($_FILES['file']))
{
if($ku['rubies']>=$cena){
$type = $_FILES['file']['type'];
if ($type!=='image/jpeg' && $type!=='image/jpg' && $type!=='image/gif' && $type!=='image/png' && $type!=='image/php'){$err=1;err_game('Это не картинка');}


if (!isset($err))
{
$tmp = $_FILES['file']['tmp_name'];
move_uploaded_file($tmp, "images/avatars/$ku[id].png");
//mysql_query("UPDATE `kolhoz_user` SET `ava` = '$ku[id].png' WHERE `id` = '$ku[id]'");
$ku['rubies']=minus_rubies($cena);
$_SESSION['msg']="Фотография загружена!";
header("location: ?ava");
exit;
}
}
else no_rubies($cena-$ku['rubies']);}
echo '<div class="event"><h1>Сменить аватар</h1></div>';
echo "</div><div class='block'>Ваш текущий аватар:</br>";
if (file_exists('images/avatars/'.$ku['id'].'.png')){echo "<img src='images/avatars/$ku[id].png' alt='o'>";} else {echo "<img src='images/noavatar.png' alt='o'>";}
echo "<li><font color=red><u>Внимание!</u>Все фотографии проходят модерацию!</font></li>";
echo "<li><span class=title>Стоимость загрузки фотографии 500 <img src='/images/icons/ruby.png' alt='*'> алмазов!</span></li>";
if(!isset($ku[ava])){echo'</br>Заменить аватар:';}else{echo'</br>Загрузить аватар:';}
echo "<form method=\"post\" enctype='multipart/form-data'>\n";
echo "<input type='file' name='file' /><br/>\n";
echo "<input value='Загрузить' type='submit' name='ok' /><br /></form></div>\n";

echo "<div class=block><a href=?settings>Основные</a> | <a href='?anketa'>Анкета</a> | <a href='?pr'>Приветствие</a> | <a href='?ikonka'>Сменить иконку</a> | <a href='?change_nickname'>Сменить Ник</a> | Сменить фото | <a href=?change_them>Сменить тему</a> | <a href='?ref'>Рефералы</a> |";
include_once 'inc/foot.php';?>